# -*- coding: utf-8 -*-
#    solventmapcreator provides tools for calculation of FGIPs and solvent similarity
#    Copyright (C) 2019  Mark D. Driver
#
#    solventmapcreator is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <https://www.gnu.org/licenses/>.
"""
Script for testing fgipmaker methods.

@author: mark
"""

import logging
import unittest
import solventmapcreator.solvationcalculation.fgipmaker as fgipmaker

logging.basicConfig()
LOGGER = logging.getLogger(__name__)
LOGGER.setLevel(logging.WARN)


class FGIPMakerTestCase(unittest.TestCase):
    """Test case for fgipmaker methods.
    """

    def test_make_latex_text_block(self):
        """Test to see if expected block is produced.
        """
        self.maxDiff = None
        expected_block = """
\\begin{figure}[H]
    \\centering
    \\includegraphics[width=0.95\\textwidth]{toluene_FGIP.eps}
    \\caption{FGIP for toluene at 298K.}
    \\label{fig:toluenesolvationmap}
\\end{figure}
"""
        actual_block = fgipmaker.make_latex_text_block("toluene_solv_map.svg")
        self.assertMultiLineEqual(expected_block, actual_block)
